<?php

namespace KupShop\PohodaBundle\Exceptions;

use KupShop\KupShopBundle\Util\Logging\CustomDataExceptionInterface;

class PohodaException extends \Exception implements CustomDataExceptionInterface
{
    public function __construct($message, protected string $note = '', protected array $data = [])
    {
        parent::__construct($message);
    }

    public function getNote()
    {
        return $this->note;
    }

    public function getData(): array
    {
        return $this->data;
    }
}
